cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/components/cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d/objects/a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e/link_domains" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_component_object": {
"domain_type": "account",
"domains": [
{
"domain_id": "ACC0001"
}
]
}
}'from exsited import build_client
client = build_client()
response = client.custom_components.update_component_object_domains(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
{
"custom_component_object": {
"domain_type": "account",
"domains": [{"domain_id": "ACC0001"}],
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customComponents.updateComponentObjectDomains(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
{custom_component_object: {domain_type: 'account', domains: [{domain_id: 'ACC0001'}]}},
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customComponents->updateComponentObjectDomains(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
[
'custom_component_object' => [
'domain_type' => 'account',
'domains' => [['domain_id' => 'ACC0001']],
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_components.custom_components_dto.CustomComponentsDto.ComponentObjectRecord;
import java.util.List;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ComponentObjectRecord> response = client.customComponents().updateComponentObjectDomains(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
Map.of(
"custom_component_object", Map.of(
"domain_type", "account",
"domains", List.of(Map.of("domain_id", "ACC0001")))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomComponents.UpdateComponentObjectDomainsAsync(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
new Dictionary<string, object?>
{
["custom_component_object"] = new Dictionary<string, object?>
{
["domain_type"] = "account",
["domains"] = new List<object?>
{
new Dictionary<string, object?>
{
["domain_id"] = "ACC0001",
},
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customComponents.updateComponentObjectDomains(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
{
'custom_component_object': {
'domain_type': 'account',
'domains': [
{'domain_id': 'ACC0001'},
],
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomComponents().UpdateComponentObjectDomains(context.Background(), "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", "a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e", map[string]any{
"custom_component_object": map[string]any{
"domain_type": "account",
"domains": []any{
map[string]any{"domain_id": "ACC0001"},
},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_component_object": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"component": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"custom_form": {
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"attributes": [
{}
],
"attribute_groups": [
{}
],
"restrictions": [
{}
],
"parents": [
{
"email": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>"
}
],
"workflow_status": "<unknown>",
"workflow_status_uuid": "<unknown>",
"workflow_stage": "<unknown>",
"workflow_data": [
{}
],
"custom_objects": [
{}
],
"accounts": [
{}
],
"items": [
{}
],
"orders": [
{}
],
"quotes": [
{}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"version": 123,
"href": "<string>",
"activity_logs": [
{
"activity": "<string>"
}
]
}
}Custom components
Replace the accounts or orders linked to a component object
Replaces the set of accounts or orders linked to a component object and returns the object.
PATCH
/
components
/
{component_uuid}
/
objects
/
{component_object_id}
/
link_domains
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/components/cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d/objects/a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e/link_domains" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_component_object": {
"domain_type": "account",
"domains": [
{
"domain_id": "ACC0001"
}
]
}
}'from exsited import build_client
client = build_client()
response = client.custom_components.update_component_object_domains(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
{
"custom_component_object": {
"domain_type": "account",
"domains": [{"domain_id": "ACC0001"}],
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customComponents.updateComponentObjectDomains(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
{custom_component_object: {domain_type: 'account', domains: [{domain_id: 'ACC0001'}]}},
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customComponents->updateComponentObjectDomains(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
[
'custom_component_object' => [
'domain_type' => 'account',
'domains' => [['domain_id' => 'ACC0001']],
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_components.custom_components_dto.CustomComponentsDto.ComponentObjectRecord;
import java.util.List;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ComponentObjectRecord> response = client.customComponents().updateComponentObjectDomains(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
Map.of(
"custom_component_object", Map.of(
"domain_type", "account",
"domains", List.of(Map.of("domain_id", "ACC0001")))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomComponents.UpdateComponentObjectDomainsAsync(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
new Dictionary<string, object?>
{
["custom_component_object"] = new Dictionary<string, object?>
{
["domain_type"] = "account",
["domains"] = new List<object?>
{
new Dictionary<string, object?>
{
["domain_id"] = "ACC0001",
},
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customComponents.updateComponentObjectDomains(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
{
'custom_component_object': {
'domain_type': 'account',
'domains': [
{'domain_id': 'ACC0001'},
],
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomComponents().UpdateComponentObjectDomains(context.Background(), "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", "a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e", map[string]any{
"custom_component_object": map[string]any{
"domain_type": "account",
"domains": []any{
map[string]any{"domain_id": "ACC0001"},
},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_component_object": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"component": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"custom_form": {
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"attributes": [
{}
],
"attribute_groups": [
{}
],
"restrictions": [
{}
],
"parents": [
{
"email": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>"
}
],
"workflow_status": "<unknown>",
"workflow_status_uuid": "<unknown>",
"workflow_stage": "<unknown>",
"workflow_data": [
{}
],
"custom_objects": [
{}
],
"accounts": [
{}
],
"items": [
{}
],
"orders": [
{}
],
"quotes": [
{}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"version": 123,
"href": "<string>",
"activity_logs": [
{
"activity": "<string>"
}
]
}
}Send the full set under
custom_component_object, as for the link call. A record left out of domains is unlinked, so afterwards the object is linked to exactly the records you sent.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The component definition's id, which starts with cmp_.
The component object's id, as returned when it is created or listed.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The component object, under custom_component_object.
Show child attributes
Show child attributes